# -*- coding: utf-8 -*-
from setuphelpers import *
import glob

uninstallkey = []

def install():
    run_notfatal('apt-get remove geogebra -y')
    version_geogebra = control.version.split('-')[0].replace('.','-')
    unzip('GeoGebra-Linux64-Portable-%s.zip' % version_geogebra)
    if isdir('/opt/geogebra'):
        remove_tree('/opt/geogebra')
    copytree2('GeoGebra-Linux64-Portable-%s/GeoGebra-linux-x64' % version_geogebra,'/opt/geogebra')
    run('chown root:root /opt/geogebra')
    run('chmod a+x /opt/geogebra/GeoGebra')
    run('ln -sf /opt/geogebra/GeoGebra /usr/bin/geogebra')
    filecopyto('icons/hicolor/48x48/apps/geogebra-classic.png','/opt/geogebra/icon.png')
    filecopyto('geogebra.desktop','/usr/share/applications/')
    filecopyto('geogebra.xml','/usr/share/mime/packages/geobegra.xml')

    for i in glob.glob('icons/hicolor/*/mimetypes/application-vnd.geogebra*.png') :
        filecopyto(i,'/usr/share/%s' % i.replace('-classic',''))

    run('update-mime-database /usr/share/mime')
    run('gtk-update-icon-cache /usr/share/icons/hicolor')


def session_setup():
    run_notfatal('xdg-mime default geogebra.desktop application/vnd.geogebra.tool')
    run_notfatal('xdg-mime default geogebra.desktop application/vnd.geogebra.file')
    

def uninstall():
    if isdir('/opt/geogebra'):
        remove_tree('/opt/geogebra')
    for i in glob.glob('/usr/share/icons/hicolor/*/mimetypes/application-vnd.geogebra*.png') :
        remove_file(i)
    remove_file('/usr/share/applications/geogebra.desktop')
    remove_file('/usr/share/mime/packages/geobegra.xml')
    run('update-mime-database /usr/share/mime')
    run('gtk-update-icon-cache /usr/share/icons/hicolor')



def update_package():

    import requests,re
    url = 'https://download.geogebra.org' + requests.head('https://download.geogebra.org/package/linux-port6',proxies={}).headers['Location']
    filename = url.split('/')[-1]
    lastversion = re.findall('GeoGebra-Linux64-Portable-(.*).zip',filename)[0].replace('-','.')

    if not isfile(filename):
        wget(url,filename)
    
    for z in glob.glob('*.zip'):
        if z != filename:
            remove_file(z)
 
    print('Last Version %s' % lastversion)
    control.version = lastversion + '-0'
    control.save_control_to_wapt()

